body {
  font-family: var(--ff-titillium-web);
  background-color: rgba(246, 246, 247, 1);
  color: var(--text-color-base);
}

.fs-12 {
  font-size: 12px;
}

.fs-14 {
  font-size: 14px;
}

.fs-18 {
  font-size: 18px;

  @media screen and (max-width: 767px) {
    font-size: 16px;
  }
}

.fs-36 {
  font-size: 36px;

  @media screen and (max-width: 767px) {
    font-size: 28px;
  }
}

.fs-140 {
  font-size: 140px;

  @media screen and (max-width: 767px) {
    font-size: 80px;
  }
}

.text-primary {
  color: var(--primary) !important;
}

.text-secondary {
  color: var(--secondary) !important;
}

.text-secondary-2 {
  color: var(--secondary-hover) !important;
}

.text-third {
  color: var(--third) !important;
}

.text-fourth {
  color: var(--fourth) !important;
}

.text-dark {
  color: var(--text-color-base) !important;
}

.text-info {
  color: var(--link) !important;
}

.bg-primary {
  background-color: var(--bg-primary) !important;
}

.bg-secondary {
  background-color: var(--secondary) !important;
}

.bg-third {
  background-color: var(--third) !important;
}

.btn-form {
  background: var(--bg-primary);
  color: white;
  padding: 10px 0;
  opacity: 1;
  border-radius: 10px;
  border-color: var(--bg-primary);
}

.btn-secondary {
  background-color: var(--secondary);
  color: var(--primary);
  border: 0;
  padding: 10px 24px;
  border-radius: 25px;

  &:hover,
  &:focus,
  &:active {
    background-color: var(--secondary-hover) !important;
  }
}

.bg-form {
  background-color: rgba(11, 11, 74, 1);
}

.btn-outline-primary {
  color: var(--primary);
  border-color: rgba(165, 166, 175, 1);
  border-radius: 50px;

  &:hover,
  &:focus,
  &:active {
    color: #fff !important;
    border-color: rgba(165, 166, 175, 1) !important;
    background-color: var(--primary) !important;
  }
}

.mt-6 {
  margin-top: 3.5rem !important;
}

.mt-7 {
  margin-top: 4rem !important;
}

.mt-md-7 {
  margin-top: 4rem !important;
}

.mt-8 {
  margin-top: 4.5rem !important;
}

.cursor-pointer {
  cursor: pointer;
}

.text-overflow-2 {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  overflow: hidden;
  line-clamp: 2;
  -webkit-line-clamp: 2;
  text-overflow: ellipsis;
}

.text-overflow-5 {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  overflow: hidden;
  line-clamp: 5;
  -webkit-line-clamp: 5;
  text-overflow: ellipsis;
}

/* Bootstrap */
@media (min-width: 1200px) {

  .container,
  .container-lg,
  .container-md,
  .container-sm,
  .container-xl {
    max-width: 1280px;
  }
}

@media (min-width: 1400px) {

  .container,
  .container-lg,
  .container-md,
  .container-sm,
  .container-xl,
  .container-xxl {
    max-width: 1480px;
  }
}

.mega-panel {
  display: none;
}

.mega-panel.active {
  display: block;
}

.card-product {
  background-color: #fff;
  border-radius: 20px;

  .title-product {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    line-clamp: 2;
    -webkit-line-clamp: 2;
    text-overflow: ellipsis;
    margin-bottom: 1rem;
  }

  .text-additional {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    line-clamp: 4;
    -webkit-line-clamp: 4;
    text-overflow: ellipsis;
  }

  &:hover {
    transform: scale(1.2);

    .img-product {
      padding: 0.8rem !important;
      background:
        linear-gradient(0deg,
          var(--secondary, #98dd3e),
          var(--secondary, #98dd3e)),
        linear-gradient(180deg,
          rgba(0, 0, 0, 0) 64.29%,
          rgba(0, 0, 0, 0.2) 100%);
      border-radius: 20px;
    }
  }
}

/* estilos para los banners que tengas textos sobrepuestos */
.hero-container {
  position: relative;
  width: 100%;
  height: 80dvh;
  overflow: hidden;
}

.hero-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.hero-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  padding: 0 3%;
  background:
    radial-gradient(circle at top left, rgba(0, 0, 0, 0.8) 0%, transparent 40%),
    linear-gradient(to top right,
      rgba(152, 221, 62, 0.753) 0%,
      rgba(136, 190, 70, 0.7) 25%,
      transparent 45%);
  color: white;
  z-index: 1;
}

.content {
  max-width: 1200px;
}

.description {
  width: 50%;
  margin: 0 auto;

  @media (max-width: 768px) {
    width: 100%;
  }
}

/* estilos para el formulario de contacto */

.contact-form {
  .form-label {
    color: #fff;
    font-weight: 500;
  }

  .form-control,
  .form-select {
    border-radius: 14px;
    padding: 12px 14px;
  }

  .form-control::placeholder {
    color: #b5b5b5;
    opacity: 1;
  }

  textarea.form-control::placeholder {
    color: #b5b5b5;
  }

  .terms-box {
    max-height: 160px;
    overflow-y: auto;
    background: #f9f9f9;
    font-size: 14px;
    border-radius: 12px;
  }

  .btn-loading {
    pointer-events: none;
    opacity: 0.8;
  }

  .btn-filters {
    background: #00aeee;
    color: white;
  }

  .spinner-border {
    width: 1.2rem;
    height: 1.2rem;
  }
}